View Issue Details

IDProjectCategoryView StatusLast Update
0001275Main CAcert Websiteorganisational sectionpublic2014-09-30 21:13
ReporterNEOatNHNG Assigned ToBenBE  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version2014 Q2 
Target Version2014 Q2Fixed in Version2014 Q2 
Summary0001275: Missing quotes around"masteracc" array index
Description[error] [client ####] PHP Notice: Use of undefined constant masteracc - assumed 'masteracc' in /git/cacert/includes/account.php on line 2487, referer: https://secure1.it-sls.de/account.php?id=33&orgid=303
TagsNo tags attached.
Reviewed byNEOatNHNG, BenBE
Test Instructions

Activities

NEOatNHNG

2014-04-29 21:23

administrator   ~0004758

Fix available on test server. Please test and review.

INOPIAE

2014-04-29 21:24

updater   ~0004759

Last edited: 2014-04-29 21:26

View 2 revisions

add organisation admistrator successfully.
Error log showed no errors any more.
=>ok

MartinGummi

2014-04-29 21:38

updater   ~0004760

Add a new Admin to an organization => OK
no error on software assessment server console => OK

=> OK

INOPIAE

2014-04-29 22:05

updater   ~0004766

Please review as there are at least two successfull tests.

BenBE

2014-04-30 22:14

updater   ~0004769

2nd review ok.

wytze

2014-06-07 08:54

developer   ~0004800

The fix has been installed on the production server on June 7, 2014. See also:
https://lists.cacert.org/wws/arc/cacert-systemlog/2014-06/msg00004.html

Issue History

Date Modified Username Field Change
2014-04-29 21:16 NEOatNHNG New Issue
2014-04-29 21:23 NEOatNHNG Reviewed by => NEOatNHNG
2014-04-29 21:23 NEOatNHNG Note Added: 0004758
2014-04-29 21:23 NEOatNHNG Assigned To => BenBE
2014-04-29 21:23 NEOatNHNG Status new => needs review & testing
2014-04-29 21:24 INOPIAE Note Added: 0004759
2014-04-29 21:25 NEOatNHNG Source_changeset_attached => cacert-devel testserver-stable 87e83bfe
2014-04-29 21:25 NEOatNHNG Source_changeset_attached => cacert-devel testserver-stable 9af48334
2014-04-29 21:25 NEOatNHNG Assigned To BenBE => NEOatNHNG
2014-04-29 21:25 NEOatNHNG Resolution open => fixed
2014-04-29 21:26 INOPIAE Note Edited: 0004759 View Revisions
2014-04-29 21:38 MartinGummi Note Added: 0004760
2014-04-29 22:05 INOPIAE Note Added: 0004766
2014-04-29 22:05 INOPIAE Assigned To NEOatNHNG => BenBE
2014-04-29 22:05 INOPIAE Status needs review & testing => needs review
2014-04-30 22:14 BenBE Reviewed by NEOatNHNG => NEOatNHNG, BenBE
2014-04-30 22:14 BenBE Note Added: 0004769
2014-04-30 22:14 BenBE Status needs review => ready to deploy
2014-04-30 22:14 BenBE Product Version => 2014 Q2
2014-04-30 22:14 BenBE Target Version => 2014 Q2
2014-06-06 21:50 BenBE Source_changeset_attached => cacert-devel release 76b8145a
2014-06-07 08:54 wytze Note Added: 0004800
2014-06-07 08:54 wytze Status ready to deploy => solved?
2014-06-07 08:54 wytze Fixed in Version => 2014 Q2
2014-09-30 21:13 INOPIAE Status solved? => closed